plasma-widget-uim_1.8.6-15_amd64.deb


Advertisement

Description

plasma-widget-uim - Universal Input Method - KDE Plasma widget

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: plasma-widget-uim
Package version: 1.8.6
Package release: 15
Package architecture: amd64
Package type: deb
Installed size: 91 B
Download size: 20.60 KB
Official Mirror: archive.ubuntu.com
Uim is an input method module library which supports various scripts and can act as a front end for a range of input methods, including Anthy, Canna, PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and M17n (for many other languages). Most of its functions are implemented in Scheme, so it's very simple and flexible. This package contains a KDE Plasma widget which can configure uim, monitor its conversion mode, and so on.

Alternatives

Replaces

  • uim-applet-kde << 1:1.8.5-2~

    Download

    Source package: uim

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install plasma-widget-uim deb package:
      # sudo apt-get install plasma-widget-uim

    Files

    • /usr/lib/kde4/plasma_applet_uim.so
    • /usr/share/doc/plasma-widget-uim
    • /usr/share/kde4/services/plasma-applet-uim.desktop

    Changelog

    2016-01-05 - HIGUCHI Daisuke (VDR dai) <dai@debian.org> uim (1:1.8.6-15) unstable; urgency=medium * debian version 12, 13 and 14 are in experimental, so skipped. * eliminate lintian warning: command-in-menu-file-and-desktop-file - debian/uim-gtk2.0.menu: remove. - debian/uim-gtk3.menu: remove. - debian/uim-qt.menu: remove. * eliminate lintian warning: obsolete-url-in-packaging - debian/copyright: replace Google Code with GitHub. * migrate to automatic dbg package. - debian/control: B-D: debhelper (>= 9.20151219) - debian/control: drop uim-dbg package. - debian/rules: obsoletes uim-dbg package.

    2015-06-22 - HIGUCHI Daisuke (VDR dai) <dai@debian.org> uim (1:1.8.6-11) unstable; urgency=medium * Port to GAction and libpanel-applet 3.14 (Closes: #789025). thanks to Dmitry Shachnev <mitya57@debian.org>. - debian/control: replace libpanel-applet-4-dev with libpanel-applet-dev. - debian/uim-applet-gnome.install: replace 4.0 with 5.0. - debian/patches/libpanel-applet.patch: new file. Autoreconf fails, so patch configure and Makefile.am directly. - debian/patches/series: update. * move from Google Code to GitHub. - debian/control: update Homepage: to GitHub Wiki. - debian/watch: update release to GitHub repo.

    2015-06-08 - HIGUCHI Daisuke (VDR dai) <dai@debian.org> uim (1:1.8.6-10) unstable; urgency=medium * fix stuck messages to uim-input-pad-ja (Closes: #787824). thanks to "Yuriy M. Kaminskiy" <yumkam@gmail.com>. - debian/patches/fix-stuck-messages-to-uim-input-pad-ja.patch: new file. * drop uim-{yahoo-jp,social-ime,ajax-ime,google-cgiapi-jp,baidu-olime-jp} packages, because of low-popcon. - debian/NEWS: add uim-module-manager --register/--unregister information. - debian/README.Debian: remove uim-yahoo-jp information. - debian/control: drop/replace/break them. - debian/libuim-data.install: include thier scms. - debian/uim-common.install: include their pngs. - debian/*.{install,postinst,prerm}: remove their info files. - debian/rules: do not make their packages. * debian/libuim-data.install: re-include mana, sj3 and wnn scm files. * debian/control - remove dependency on xemacs21-gnome* transitional packages. - layout Build-Depends/Depends/Replaces/Breaks.

    2015-06-01 - HIGUCHI Daisuke (VDR dai) <dai@debian.org> uim (1:1.8.6-9) unstable; urgency=medium * plug leak to unclosed socket after exec() in client (Closes: #787208). thanks to "Yuriy M. Kaminskiy" <yumkam@gmail.com>. - debian/patches/90_close_socket_on_exec.patch: new file. - debian/patches/95_sock_cloexec.patch: new file. * drop uim-canna. - debian/NEWS: add news to drop uim-canna. - debian/README.Debian: drop uim-canna. - debian/control + drop libcanna1g-dev from B-D. + drop uim-canna package. + uim-common and libuim-data replaces/brekas uim-canna. - debian/libuim-data.install: add canna scms. - debian/rules + build without canna. + drop uim-canna package. - debian/uim-common.install: add canna pixmap. * eliminate lintian warnings. - debian/copyright + wildcard-matches-nothing-in-dep5-copyright + unused-file-paragraph-in-dep5-copyright + dep5-copyright-license-name-not-unique - debian/control: duplicate-in-relation-field - debian/patches/add_keywords_to_application_desktop_files.patch + desktop-entry-lacks-keywords-entry * override lintian warning: spelling-error-in-copyright - debian/uim-fep.lintian-overrides: update. - debian/uim-el.lintian-overrides: update. - debian/uim-common.lintian-overrides: new file. - debian/uim-xim.lintian-overrides: new file. * bump up Standards-Version 3.9.6.

    2014-11-13 - HIGUCHI Daisuke (VDR dai) <dai@debian.org> uim (1:1.8.6-8) unstable; urgency=medium * debian/control - depends emacs24 instead of emacs23. emacs23 has been removed from jessie.

    Advertisement
    Advertisement